@import 'mixins/mixins';
@import 'common/var';

@include b(select-dropdown) {
  position: absolute;
  z-index: #{$--index-top + 1};
  background: $--select-dropdown-background;
  box-shadow: 0px 3px 25px #1f232f;
  border-radius: 10px;
  box-sizing: border-box;
  margin: 8px 0 !important;
  overflow: hidden;

  .popper__arrow {
    display: none !important;
  }

  @include when(multiple) {
    & .el-select-dropdown__item.selected {
      color: $--select-option-selected-font-color;
      background-color: $--select-dropdown-background;

      &.hover {
        background-color: $--select-option-selected-hover;
      }

      &::after {
        content: '';
        position: absolute;
        right: 25px;
        top: 50%;
        transform: translateY(-50%);
        width: 8px;
        height: 8px;
        background: #0065ff;
        border-radius: 50%;
      }
    }
  }

  .el-scrollbar.is-empty .el-select-dropdown__list {
    padding: 0;
  }
}

@include b(select-dropdown__empty) {
  padding: $--select-dropdown-empty-padding;
  margin: 0;
  text-align: center;
  color: $--select-dropdown-empty-color;
  font-size: $--select-font-size;
}

@include b(select-dropdown__wrap) {
  max-height: $--select-dropdown-max-height;
}

@include b(select-dropdown__list) {
  list-style: none;
  padding: 0;
  margin: 0;
  box-sizing: border-box;

  li {
    position: relative;
    padding: 10px 30px;
    height: auto;

    font-weight: 500 !important;
    font-size: 24px;
    line-height: 30px;
    color: #8591ad;
    &.flex {
      display: flex;
      align-items: center;
      justify-content: space-between;
    }
    &.selected {
      color: #fff;
    }
  }
}
